Author Topic: Auth_SASL package is required for DIGEST-MD5  (Read 5007 times)

Offline aberrio

  • Jr. Member
  • **
  • Posts: 24
Auth_SASL package is required for DIGEST-MD5
« on: April 28, 2011, 09:44:03 AM »
Hi,

I tried to upgrade but I am not able to logging after the changes. I am getting the following error.

Previous version is in production without problems.  On the new version ask me to change one variable and pass all other test.

Connecting to localhost...
IMAP connect:  NOT OK(Login failed for user@server.com from xxx.xx.xx.1.
The Auth_SASL package is required for DIGEST-MD5 authentication)

The log error shows.
Apr 28 08:20:00 mail dovecot: imap-login: Aborted login (no auth attempts): rip=127.0.0.1, lip=127.0.0.1, secured

Any suggestion?

Offline aberrio

  • Jr. Member
  • **
  • Posts: 24
Auth_SASL package is required for DIGEST-MD5
« Reply #1 on: April 29, 2011, 07:18:42 PM »
Hi,

is this varible broken again?

$rcmail_config['imap_auth_type']

I try default no good. "plain" no good.

I try to log in port 143 IMAP  is looking for SSL/TLS conex.  I had changed and restarted apache no good.

anybody on this error?
« Last Edit: April 29, 2011, 08:33:42 PM by aberrio »

Offline RitBit

  • Newbie
  • *
  • Posts: 1
The Auth_SASL package is required for DIGEST-MD5 authentication
« Reply #2 on: May 03, 2011, 04:23:30 PM »
Same thing with me...
0.5.1 works fine
0.5.2 fails.. tried even copying config files from 0.5.1 -> no joy...

Seems like 0.5.2 is broken somehow?

Offline aberrio

  • Jr. Member
  • **
  • Posts: 24
Auth_SASL package is required for DIGEST-MD5
« Reply #3 on: May 03, 2011, 07:57:34 PM »
Hello,

I solved mine using the configuration file from 0.5.2.   Do not use previous .conf file.  In the IMAP viable use PLAIN.


Regards,

Al

Offline fixastl

  • Newbie
  • *
  • Posts: 1
Auth_SASL package is required for DIGEST-MD5
« Reply #4 on: June 20, 2011, 08:13:50 AM »
Hi!
One more with the same problem - after upgrade to 0.5.3; PLAIN and old .conf are not working; is there no other solution?
thx and bye,
f

Offline sihirhosting

  • Newbie
  • *
  • Posts: 1
Auth_SASL package is required for DIGEST-MD5
« Reply #5 on: June 20, 2011, 11:57:03 AM »
I applied a patch about the SASL problem and error has gone. I've quoted the patch.
But the problem goes on while trying to authentice IMAP. i've set imap_auth variable to PLAIN but it still tries authenticate via DIGEST-MD5.
Anybody can help?

Quote

--- utils.php   2011-06-14 10:42:39.000000000 -0400
+++ utils.php.patch   2011-06-14 10:42:06.000000000 -0400
@@ -34,8 +34,8 @@
 function __autoload($classname)
 {
   $filename = preg_replace(
-      array('/MDB2_(.+)/', '/Mail_(.+)/', '/Net_(.+)/', '/^html_.+/', '/^utf8$/'),
-      array('MDB2/\\1', 'Mail/\\1', 'Net/\\1', 'html', 'utf8.class'),
+      array('/MDB2_(.+)/', '/Mail_(.+)/', '/Net_(.+)/', '/Auth_(.+)/', '/^html_.+/', '/^utf8$/'),
+      array('MDB2/\\1', 'Mail/\\1', 'Net/\\1', 'Auth/\\1', 'html', 'utf8.class'),
       $classname
   );
   include_once $filename. '.php';


Offline jeff_r

  • Newbie
  • *
  • Posts: 9
Auth_SASL package is required for DIGEST-MD5
« Reply #6 on: June 21, 2011, 03:06:41 PM »
That patch doesn't fix the problem you are talking about.  There isn't a great fix. The value set in the .conf file for authentication type is apparently ignored by the installer program.  (NB: the actual program honors it, only the installer ignores it.)

You can hard-code your selection into the program by editing program/include/rcube_imap_generic.php.  You can add a line to the authenticate function (line 465):

 
 function authenticate($user, $pass, $type='PLAIN')
    {
        $type = 'PLAIN';
        if ($type == 'CRAM-MD5' || $type == 'DIGEST-MD5') {


It's an ugly fix but it will let you run the installer's tests.  I'd remove it after you finish testing, because the actual user login will use the value in the conf file.
« Last Edit: June 21, 2011, 03:07:13 PM by jeff_r »